using WorkFlowCheck.Common.DTO;

namespace WorkFlowCheck.Web.Services.Interfaces
{
    public interface IBaseStockService
    {
        Task<List<CheckPointDTO>> GetAllCheckPoints();
        Task<List<EquipmentDTO>> GetAllEquipments();
        Task<List<LocationDTO>> GetAllLocations();
        Task<CheckPointDTO> GetCheckPoint(int id);
        Task<CheckListTemplateRowDTO> GetCheckListTemplateRow(int id);
        Task<ApiResponseDTO<CheckPointDTO>> UpdateCheckPoint(CheckPointDTO checkPoint);
    }
}
